Subject: [Sigtran] M3UA-v02 Last Call Comment: Registration nit.

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Sat, 8 May 2004 03:27:59 -0600

New text says:

|  If the SGP determines that the received RK was already registered,
|  fully and exactly, either statically or dynamically, by the sending
|  ASP, the SGP returns a Registration Response message to the ASP,
|  containing a Registration Result "Error - Routing Key Already
|  Registered ". This error applies whether the Routing Key is Active or
                                                ^^^^^^^^^^^^^^^^^^^^^^^^
|  Inactive. For this error code, RC field in Registration Response
   ^^^^^^^^^
|  message MUST be populated with the actual value of RC in SGP
|  corresponding to the specified RK in Registration Request message.

Routing keys are not active or inactive.  ASPs can be active or inactive for
an AS.  There is a 1:1:1 correspondence between an AS:RK:RC.  Reword to:

>  If the SGP determines that the received RK was already registered,
>  fully and exactly, either statically or dynamically, by the sending
>  ASP, the SGP returns a Registration Response message to the ASP,
>  containing a Registration Result "Error - Routing Key Already
>  Registered."  This error applies whether the sending ASP is
>  ASP-ACTIVE or ASP-INACTIVE for the corresponding AS.  For this error
>  code, the RC field in the Registration Response message MUST be
>  populated with the actual value of RC in SGP corresponding to the
>  specified RK in Registration Request message.

--brian

-- 
Brian F. G. Bidulock    ¦ The reasonable man adapts himself to the ¦
[email-masked]    ¦ world; the unreasonable one persists in  ¦
http://www.openss7.org/ ¦ trying  to adapt the  world  to himself. ¦
                        ¦ Therefore  all  progress  depends on the ¦
                        ¦ unreasonable man. -- George Bernard Shaw ¦

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran